# HttpsGravatarImage

### 👎

`Mixed Content: The page at 'WEBSITE' was loaded over HTTPS, but requested an insecure image 'GRAVATAR_IMAGE_URL'. This content should also be served over HTTPS.`

## Installation

[RubyGems](https://rubygems.org/gems/https_gravatar_image)

`gem 'https_gravatar_image'`

`bundle` or `gem install https_gravatar_image`

## Usage

`<%= https_gravatar_image USERS_EMAIL %>`

### With options

`<%= https_gravatar_image USER_EMAIL, image_html: { class: "w-10 h-10 rounded-full", alt: USER_NAME } %>`

**Options are grouped in `image_html: {}`**

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).
